apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: workshop
  labels:
    app: database
    version: v1
  name: database-v1
spec:
  selector:
    matchLabels:
      app: database
      version: v1
  template:
    metadata:
      labels:
        app: database
        version: v1
    spec:
      containers:
        - image: stacklabs/istio-on-gke-database
          imagePullPolicy: Always
          env:
            - name: SPRING_CLOUD_GCP_LOGGING_PROJECT_ID
              value: "<YOUR_GCP_PROJECT_ID>"
            - name: DATABASE_ERROR_RATE
              value: "50" # <1>
            - name: DATABASE_VERSION
              value: "errors-50%"
          livenessProbe:
            httpGet:
              path: /actuator/health
              port: 8181
            initialDelaySeconds: 20
          name: database
          resources:
            requests:
              memory: "512Mi"
              cpu: 1
            limits:
              memory: "512Mi"
              cpu: 1
          ports:
            - containerPort: 8080
              name: http
              protocol: TCP